Skip to Content
APIApi Crons

Last Updated: 3/9/2026


PocketBase v0.36.6

API Crons

Returns list with all registered app level cron jobs.

Only superusers can perform this action.

import from 'pocketbase'; const = new PocketBase('http://127.0.0.1:8090');... await. collection("_superusers"). authWithPassword('test@example.com', '1234567890'); const = await.. getFullList();

import'package:pocketbase/pocketbase.dart''package:pocketbase/pocketbase.dart'; final = PocketBase('http://127.0.0.1:8090''http://127.0.0.1:8090');... await. collection("_superusers" "_superusers"). authWithPassword('test@example.com''test@example.com', '1234567890' '1234567890'); final = await.. getFullList();

API details

GET

/api/crons

Query parameters

ParamTypeDescription
fieldsStringComma separated string of the fields to return in the JSON response (by default returns all fields). Ex.: ? =*,.. * targets all keys from the specific depth level. In addition, the following field modifiers are also supported: * :excerpt(maxLength, withEllipsis?) Returns a short plain text version of the field string value. Ex.: ?fields=*,description:excerpt(200,true)

Responses

[{"id": "__pbDBOptimize__", "expression":"0 0 * * *"},{"id": "__pbMFACleanup__", "expression":"0 * * * *"},{"id": "__pbOTPCleanup__", "expression":"0 * * * *"},{"id": "__pbLogsCleanup__", "expression":"0 */6 * * *"}]

{"status": 400, "message":"Failed to load backups filesystem.", "data":{}}

{"status": 401, "message":"The request requires valid record authorization token.", "data":{}}

{"status": 403, "message":"Only superusers can perform this action.", "data":{}}

Triggers a single cron job by its id.

Only superusers can perform this action.

import from 'pocketbase'; const = new PocketBase('http://127.0.0.1:8090');... await. collection("_superusers"). authWithPassword('test@example.com', '1234567890'); await.. run('__pbLogsCleanup__');

import'package:pocketbase/pocketbase.dart''package:pocketbase/pocketbase.dart'; final = PocketBase('http://127.0.0.1:8090''http://127.0.0.1:8090');... await. collection("_superusers" "_superusers"). authWithPassword('test@example.com''test@example.com', '1234567890' '1234567890'); await.. run('__pbLogsCleanup__' '__pbLogsCleanup__');

API details

POST

/api/crons/jobId

Requires Authorization:TOKEN

Path parameters

ParamTypeDescription
jobIdStringThe identifier of the cron job to run.

Responses

{"status": 401, "message":"The request requires valid record authorization token.", "data":{}}

{"status": 403, "message":"The authorized record is not allowed to perform this action.", "data":{}}

{"status": 404, "message":"Missing or invalid cron job.", "data":{}}


Prev: API Logs Next: API Backups